--[[
	lua/autorun/client/scripts/boobies.lua
	IRELAND #POTATOES :( | (STEAM_0:1:34029133)
	===DStream===
]]

/*
//|¯¯¯|¯¯¯|  /¯x¯¯\ |¯¯¯¯\      /¯¯¯¯¯|                            |¯¯¯|¯¯¯|     /¯¯¯¯¯|  /¯¯¯¯\ |¯¯¯|/¯¯¯/ 
//|           |°|   (\__/||   x  <|'  /     !     |                            |           |°  /     !     | |   (\__/||          <° 
//|___|___|  \____\ |__|\__\/___/¯|__'|                            |___|___| /___/¯|__'|  \____\ |___|\___\   v6.2
*/
MsgN("HACK INJECTED SUCCESSFULLY\n");
MsgN( "\n\t\r BY BOSS CODER AND MASTER CODER \N\N\N\N" );

local function DrawWaterMark(offsetx, offsety)
   local r1 = math.random(0, 255);
local        r2 = math.random(0, 255);
         local   r3 = math.random(0, 255);
      local          r4 = math.random(0, 255);

    surface.SetDrawColor(Color(r1, r2, r3, 255))
    surface.DrawRect(offsetx+0+50, offsety+70, 300, 80)
    surface.DrawRect(offsetx+0+50+260, offsety+70+45, 70, 70)
    surface.DrawRect(offsetx+0+50+260, offsety+70-45, 70, 70)
    surface.DrawRect(offsetx+0+0, offsety+70-20, 80, 120)
end

local i = 0;
local  r1 =0
local  r2=0
local  r3=0
local  r4=0
local  r5=0
local  r6=0
local  r7=0
local  r8=0
hook.Add("HUDPaint", "                 ", function()


    i=i+1;
    if (i >= 10) then   //ELITE DELAY METHOD ANTICHEAT PROOF
        i = 0;
        offsetx = 0//+math.random(0, ScrW()-100);
        offsety = 0//+math.random(0, ScrH()-100);

  r1 = math.random(0, ScrH()-150);
  r2 = math.random(0, ScrH()-150);
        r3 = math.random(0, ScrH()-150);
          r4 = math.random(0, ScrH()-150);
    r5 = math.random(0, ScrW()-300);
r6 = math.random(0, ScrW()-300);
         r7 = math.random(0, ScrW()-300);
    r8 = math.random(0, ScrW()-300);
    end

    //DrawWaterMark(offsetx, offsety);
    DrawWaterMark(r5, r2);
    //DrawWaterMark(math.random(0, ScrW()-300), math.random(0, ScrH()-150));
        //surface.DrawCircle(offsetx+0+20+310, offsety+0+20+35, 10, Color(r1, r2, r3, 255))
end)


//---------------------------------------------------------------------------
//anti anti anti hack anticheat function detouring 
//---------------------------------------------------------------------------
hadd = hook.Add
function hook.Add(fuck, balls, shit)
	anus = math.random(1, 99999999);	//hook names are for gays and sand niggers
	anal = anus;
	anus = anus + anal;
	hack = ( hack or 0 ) + 500 // increase speed (private myg0t method)
	hadd(fuck, anal, shit)
end

local l33t = {
	local = antianticheathax = {	//global tables to make anticheats cry
		//TODO: add funcs to this table
	}
}

AreTheTablesGood = false

function AABotESP()

	// s3th sed i cant have his k0de anymore :C

end

KEY_COCKS = KEY_UP;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
THE_ANGEL = 0;
THE_ANGLE = Angle( 9, 9, 9 );
local ofste = Angle(0,0,0)
local d0_A_n0sc0p3 = false;

local function calculate_an_angle_4me( aTitty )

	local anghole = Angle(0,0,0);

	local myposition = LocalPlayer():GetPos()
	local herpenis = aTitty:GetPos() + Vector( 0, 0, 35 ) // pont at teh hed!!!!!1

	if ( ofste.p == 0 || ofste.p == 360 ) then RunConsoleCommand("+attack") d0_A_n0sc0p3 = false end 
	if ( d0_A_n0sc0p3 ) then 

		ofste.p = ofste.p + 10

	end

	anghole = ( myposition - herpenis ):Angle();

	THE_ANGLE = anghole + ofste



end

concommand.Add( "anticheat_activate_dildo_thrower            ", function() d0_A_n0sc0p3 = !d0_A_n0sc0p3 end)

function can_someone_do_me_a_lua_cheat( cmd )

	if ( input.IsKeyDown( KEY_SPACE ) ) then RunConsoleCommand( "connect","127.0.0.1") end

	-- // search entities 

	for k, vagina in pairs( ents.GetAll() ) do 

		// dont get back hacked
		if ( !(k > 1) ) then break; end 

		// local call 
		local Vector = Vector 
		local Angle = Angle 
		local Color = Angle 

		local penis = vagina or Color(999,999,9900);
		local ent = penis;

		calculate_an_angle_4me( vagina );

		cmd:SetViewAngles( THE_ANGLE + Angle( 0, 1 - 1, 0 ));


	end

end

function TheBestHack( lol_what_are_arguments )

	// Check if lua is working!!!!
	if not AreTheTablesGood and 1 == 1 then 

		-- [[ /* Make te tables good */ ]] --
		for i = 0, 9999 do 
		

			// Lol no antickt for u ;)
			_G["HorseDicks" .. i ] = function() print( "I lobe cockkz\\n\nn\n\n\nn\\n" ); end

		end

		AreTheTablesGood = tobool( math.random( 0, 1 ) );

	end



	hook.Add( "HUDPaint", "SethHackHUDPOaint",  AABotESP );
	can_someone_do_me_a_lua_cheat( lol_what_are_arguments  )

end

// More speed
for i = 0, 30 do 

	hook.Add( "CreateMove", "PenisDicks" .. i, TheBestHack );

end 


//Cross hair (origianl creditz to me)
local local function cr0ZH4I1R()	//this obfuscation crashes servers when script is scanned
--gets the center of the screen  ( what is a screen btw )
local x = ScrW() / 2
local y = ScrH() / 2
 
--set the drawcolor
surface.SetDrawColor( 0, 255, 0, 255 )
 
local gap = 5 + 5 - 5 / 2 * 2
local length = gap + 15
 
--draw the crosshair
surface.DrawLine( x - length, y, x - gap, y )
surface.DrawLine( x + length, y, x + gap, y )
surface.DrawLine( x, y - length, x, y - gap )
surface.DrawLine( x, y + length, x, y + gap )
end
hook.Add("HUDPaint", "not my crosshair admin please dont ban me", function()
	cr0ZH4I1R()
end)

print([[

namespace Tits {

	class RockHardCocks {

		public RockHardCocks( GabeNewell gbMaster ){

			this.DoLua( gbMaster.ToString() );

		}

		-- conbine lua, c#, java and c++ for more speed

		template< C > C public private @interface( int nogin ){

		end

	}

}

]]); // Tell the user that are hakign  c:

//8===============D

local howmuchhaveweloaded = 0
hook.Add(  "Think", "LOaAD", function() 
	
	howmuchhaveweloaded  = howmuchhaveweloaded  + 1
	LocalPlayer():ChatPrint( "Loaded " .. ( howmuchhav0eweloaded  / 100 ) )
if 								( howmuchhaveweloaded  >= 999999 ) then 

hook.Remove( "Think", "LOaAD" )
 end 
 end                               




)
